Package org.apache.commons.compress.archivers.sevenz

# Class SevenZMethodConfiguration

java.lang.Object
org.apache.commons.compress.archivers.sevenz.SevenZMethodConfiguration

public class SevenZMethodConfiguration extends Object
Combines a SevenZMethod with configuration options for the method.

The exact type and interpretation of options depends on the method being configured. Currently supported are:

Options
Method | Option Type | Description
--- | --- | ---
BZIP2 | Number | Block Size - an number between 1 and 9
DEFLATE | Number | Compression Level - an number between 1 and 9
LZMA2 | Number | Dictionary Size - a number between 4096 and 768 MiB (768 << 20)
LZMA2 | org.tukaani.xz.LZMA2Options | Whole set of LZMA2 options.
DELTA_FILTER | Number | Delta Distance - a number between 1 and 256

Since:
  1.8
This class is immutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SevenZMethodConfiguration(SevenZMethod method)`
  Doesn't configure any additional options.
  `SevenZMethodConfiguration(SevenZMethod method, Object options)`
  Specifies and method plus configuration options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `SevenZMethod`
  `getMethod()`
  The specified method.
  `Object`
  `getOptions()`
  The specified options.
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SevenZMethodConfiguration

    public SevenZMethodConfiguration(SevenZMethod method)
    Doesn't configure any additional options.
    Parameters:
      `method` - the method to use

  - ### SevenZMethodConfiguration

    public SevenZMethodConfiguration(SevenZMethod method, Object options)
    Specifies and method plus configuration options.
    Parameters:
      `method` - the method to use
      `options` - the options to use
    Throws:
      `IllegalArgumentException` - if the method doesn't understand the options specified.

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getMethod

    public SevenZMethod getMethod()
    The specified method.
    Returns:
      the method

  - ### getOptions

    public Object getOptions()
    The specified options.
    Returns:
      the options

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`